Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.thefaithapp.com/v1/favorites \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <api-key>'
const options = { method: 'GET', headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}};fetch('https://api.thefaithapp.com/v1/favorites', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://api.thefaithapp.com/v1/favorites"headers = { "X-API-Key": "<api-key>", "Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
{ "status": "Success", "data": { "favorites": [ { "id": 1, "title": "Spirit Song", "source": "audios/example-audio.mp3", "media_type": "0", "pivot": { "member_id": 1, "media_id": 1 } } ] } }
Lists the favorite media items saved by the authenticated member.
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
POST /v1/auth/token
Favorites returned successfully.
The response is of type object.
object
Was this page helpful?